--- xfsm/src/XMV_menu.c	2002-09-30 12:21:39
+++ xfsm/src/XMV_menu.c	2026-05-01 10:31:03
@@ -62,6 +62,8 @@
 # include "XMV_view.h"
 # include "XMV_map.h"
 
+extern void XfsmInitializeLayer();
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xfsm/src/XMV_panel.c	2009-06-14 09:52:28
+++ xfsm/src/XMV_panel.c	2026-05-01 10:31:03
@@ -63,6 +63,8 @@
 # include "XMV_message.h"
 # include "XMX_color.h"
 
+extern void XfsmChangeCursorContext();
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xfsm/src/XMV_view.c	2002-09-30 12:21:39
+++ xfsm/src/XMV_view.c	2026-05-01 10:31:03
@@ -58,6 +58,8 @@
 
 # include "XMV_view.h"
 
+extern void XfsmInitializeUnitGrid();
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xfsm/src/XMX_dialog.c	2002-09-30 12:21:39
+++ xfsm/src/XMX_dialog.c	2026-05-01 10:31:03
@@ -62,7 +62,7 @@
 # include "XMS.h"
 # include "XMH.h"
 # include "XMX.h"
-
+# include "XME.h"
 # include "XMX_dialog.h"
 
 /*------------------------------------------------------------\
--- xfsm/src/XMX_event.c	2004-07-29 13:00:53
+++ xfsm/src/XMX_event.c	2026-05-01 10:31:03
@@ -67,6 +67,10 @@
 # include "XMX_cursor.h"
 # include "XMX_event.h"
 # include "XMX_message.h"
+# include "XMF_file.h"
+# include "XMV_view.h"
+
+extern void XfsmInitializeGraphicWindow();
 
 /*------------------------------------------------------------\
 |                                                             |
--- xfsm/src/XMX_graphic.c	2002-09-30 12:21:40
+++ xfsm/src/XMX_graphic.c	2026-05-01 10:31:03
@@ -61,6 +61,9 @@
 # include "XMX_graphic.h"
 # include "XMX_grid.h"
 
+extern void XfsmInitializeUnitGrid();
+extern char XfsmDisplayUnitGrid(long, long, long, long);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xfsm/src/XMX_motif.c	2002-09-30 12:21:40
+++ xfsm/src/XMX_motif.c	2026-05-01 10:31:03
@@ -58,6 +58,8 @@
 # include "XTB.h"
 # include "XMX.h"
 # include "XMS.h"
+# include "XMF.h"
+# include "XMV.h"
 
 # include "XMX_motif.h"
 # include "XMX_graphic.h" 
@@ -67,6 +69,9 @@
 # include "XMX_color.h" 
 # include "XMX_panel.h"
 # include "XMX_dialog.h"
+# include "XMX_icon.h"
+
+extern void XfsmInitializeColorMap();
 
 /*------------------------------------------------------------\
 |                                                             |
--- xfsm/src/XSB_parse.c	2002-09-30 12:21:40
+++ xfsm/src/XSB_parse.c	2026-05-01 10:31:03
@@ -54,6 +54,8 @@
 # include "XSB_error.h"
 # include "XSB_parse.h"
 
+extern void XsbError(char, char *, long);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
@@ -154,7 +156,7 @@
   int   Size;
 {
   register char *RegisterString;
-  register       Register;
+  register int   Register;
 
   autbegin();
  
@@ -621,7 +623,7 @@
     {
       if (!( FirstWord = XsbGetNextWord(1, 1)))
       {
-        XsbError( MISSING_NAME, TableKeyword );
+        XsbError( MISSING_NAME, TableKeyword, 0 );
       }
 
       if ( FirstWord == LayerNameKeyword )
--- xfsm/src/XTB_cursor.c	2002-09-30 12:21:41
+++ xfsm/src/XTB_cursor.c	2026-05-01 10:31:03
@@ -46,6 +46,7 @@
 # include <stdio.h>
 # include <X11/cursorfont.h>
 # include <X11/Intrinsic.h>
+# include <Xm/Display.h>
 # include "mut.h"
 # include "aut.h"
 # include "abl.h"
--- xfsm/src/XTB_dialog.c	2004-07-29 06:07:46
+++ xfsm/src/XTB_dialog.c	2026-05-01 10:31:03
@@ -55,6 +55,7 @@
 # include "fsm.h"
 # include "XTB.h"
 # include "XSB.h"
+# include "XFS.h"
 # include "XTB_dialog.h"
 
 /*------------------------------------------------------------\
@@ -73,7 +74,7 @@
 |                                                             |
 \------------------------------------------------------------*/
   
-  static XfsmLockLoop = 0;
+  static int XfsmLockLoop = 0;
 
   static XfsmDialogItem XfsmWarningDialog =
 
--- xfsm/src/xfsm.c	2002-09-30 12:21:41
+++ xfsm/src/xfsm.c	2026-05-01 10:31:03
@@ -60,6 +60,8 @@
 
 # include "xfsm.h"
 
+extern void XfsmInitializeErrorMessage(char);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xgra/src/XGR_error.c	2009-09-01 17:33:43
+++ xgra/src/XGR_error.c	2026-05-01 10:31:03
@@ -44,6 +44,7 @@
 
 # include <stdio.h>
 # include <stdlib.h>
+# include <string.h>
 # include <signal.h>
 # include <setjmp.h>
 # include "mut.h"
--- xgra/src/XGR_graph.c	2007-11-27 15:41:32
+++ xgra/src/XGR_graph.c	2026-05-01 10:31:03
@@ -52,6 +52,7 @@
 # include "XSB.h"
 # include "XGR.h"
 # include "XGR_graph.h"
+# include "XGR_error.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- xgra/src/XME_dialog.c	2007-11-27 15:41:33
+++ xgra/src/XME_dialog.c	2026-05-01 10:31:03
@@ -58,6 +58,7 @@
 
 # include "XME_dialog.h"
 # include "XME_edit.h"
+# include "XME_search.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- xgra/src/XME_edit.c	2007-11-27 15:41:34
+++ xgra/src/XME_edit.c	2026-05-01 10:31:03
@@ -58,6 +58,11 @@
 
 # include "XME_edit.h"
 # include "XME_message.h"
+# include "XME_panel.h"
+
+extern void XgraLimitedLoop(Widget);
+extern void XgraAddSelectList(xgraobj_list *);
+extern void XgraEditSelectPoint(long, long);
 
 /*------------------------------------------------------------\
 |                                                             |
--- xgra/src/XME_panel.c	2007-11-27 15:41:34
+++ xgra/src/XME_panel.c	2026-05-01 10:31:03
@@ -48,6 +48,8 @@
 # include <Xm/FileSB.h>
 # include <Xm/SelectioB.h>
 # include <Xm/PushBG.h>
+# include <Xm/Text.h>
+# include <Xm/List.h>
 
 # include "mut.h"
 # include "aut.h"
@@ -61,7 +63,11 @@
 # include "XME_dialog.h"
 # include "XME_edit.h"
 # include "XME_search.h"
+# include "XME_select.h"
 
+extern void XgraEditSelectAccept();
+extern void XgraEditSelectCancel();
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
@@ -485,7 +491,7 @@
   else
   {
     Label = XmStringCreateSimple( Message );
-    XmListAddItem( XgraEditSelectButton[ 0 ].BUTTON , Label , NULL );
+    XmListAddItem( XgraEditSelectButton[ 0 ].BUTTON , Label , 0 );
     XmStringFree( Label );
   }
 
--- xgra/src/XME_search.c	2007-11-27 15:41:35
+++ xgra/src/XME_search.c	2026-05-01 10:31:03
@@ -58,6 +58,8 @@
 
 # include "XME_search.h"
 
+extern void XgraLimitedLoop(Widget);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xgra/src/XME_select.c	2007-11-27 15:41:35
+++ xgra/src/XME_select.c	2026-05-01 10:31:03
@@ -59,6 +59,7 @@
 # include "XMV.h"
 
 # include "XME_select.h"
+# include "XME_panel.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- xgra/src/XMF_menu.c	2007-11-27 15:41:36
+++ xgra/src/XMF_menu.c	2026-05-01 10:31:03
@@ -77,7 +77,7 @@
 |                                                             |
 \------------------------------------------------------------*/
 
-  static XgraFirstFileOpen = 1;
+  static int XgraFirstFileOpen = 1;
 
 /*------------------------------------------------------------\
 |                                                             |
--- xgra/src/XMF_panel.c	2007-11-27 15:41:36
+++ xgra/src/XMF_panel.c	2026-05-01 10:31:03
@@ -66,6 +66,8 @@
 # include "XMF_panel.h"
 # include "XMF_dialog.h"
 
+extern void XgraLimitedLoop(Widget);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
@@ -191,12 +193,12 @@
         Index++ )
   {
     Label = XmStringCreateSimple( XGRA_CATA_LIB[ Index ] );
-    XmListAddItem( XgraLibraryList , Label , NULL );
+    XmListAddItem( XgraLibraryList , Label , 0 );
     XmStringFree( Label );
   }
 
   Label = XmStringCreateSimple( XGRA_WORK_LIB );
-  XmListAddItem( XgraLibraryList , Label , NULL );
+  XmListAddItem( XgraLibraryList , Label , 0 );
   XmStringFree( Label );
 
   XGRA_DEFAULT_LIB = (char *)NULL;
--- xgra/src/XMH_panel.c	2007-11-27 15:41:37
+++ xgra/src/XMH_panel.c	2026-05-01 10:31:03
@@ -65,6 +65,8 @@
 
 # include "XMH_panel.h" 
 
+extern void XgraLimitedLoop(Widget);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xgra/src/XMS_panel.c	2007-11-27 15:41:38
+++ xgra/src/XMS_panel.c	2026-05-01 10:31:03
@@ -48,6 +48,7 @@
 # include <Xm/FileSB.h>
 # include <Xm/SelectioB.h>
 # include <Xm/PushBG.h>
+# include <Xm/Text.h>
 
 # include "mut.h"
 # include "aut.h"
@@ -57,6 +58,8 @@
 # include "XMS.h"
 
 # include "XMS_panel.h"
+
+extern void XgraLimitedLoop(Widget);
 
 /*------------------------------------------------------------\
 |                                                             |
--- xgra/src/XMS_setup.c	2007-11-27 15:41:38
+++ xgra/src/XMS_setup.c	2026-05-01 10:31:03
@@ -60,6 +60,8 @@
 
 # include "XMS_setup.h"
 
+extern void XgraInitializeLayer();
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xgra/src/XMT_panel.c	2007-11-27 15:41:39
+++ xgra/src/XMT_panel.c	2026-05-01 10:31:03
@@ -48,6 +48,7 @@
 # include <Xm/FileSB.h>
 # include <Xm/SelectioB.h>
 # include <Xm/PushBG.h>
+# include <Xm/Text.h>
 
 # include "mut.h"
 # include "aut.h"
--- xgra/src/XMV_menu.c	2007-11-27 15:41:40
+++ xgra/src/XMV_menu.c	2026-05-01 10:31:03
@@ -59,6 +59,8 @@
 # include "XMV_view.h"
 # include "XMV_map.h"
 
+extern void XgraInitializeLayer();
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xgra/src/XMV_view.c	2007-11-27 15:41:41
+++ xgra/src/XMV_view.c	2026-05-01 10:31:03
@@ -55,6 +55,8 @@
 
 # include "XMV_view.h"
 
+extern void XgraInitializeUnitGrid();
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xgra/src/XMX_event.c	2007-11-27 15:41:42
+++ xgra/src/XMX_event.c	2026-05-01 10:31:03
@@ -59,12 +59,17 @@
 # include "XMF.h"
 # include "XMS.h"
 # include "XMH.h"
+# include "XGR.h"
 
 # include "XMX_motif.h"
 # include "XMX_grid.h"
 # include "XMX_cursor.h"
 # include "XMX_event.h"
 # include "XMX_message.h"
+# include "XMV_view.h"
+
+extern void XgraInitializeGraphicWindow();
+extern void XgraFileOpen(char *);
 
 /*------------------------------------------------------------\
 |                                                             |
--- xgra/src/XMX_graphic.c	2007-11-27 15:41:42
+++ xgra/src/XMX_graphic.c	2026-05-01 10:31:03
@@ -58,6 +58,9 @@
 # include "XMX_graphic.h"
 # include "XMX_grid.h"
 
+extern void XgraInitializeUnitGrid();
+extern char XgraDisplayUnitGrid(long, long, long, long);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xgra/src/XMX_motif.c	2007-11-27 15:41:43
+++ xgra/src/XMX_motif.c	2026-05-01 10:31:03
@@ -56,6 +56,7 @@
 # include "XMX.h"
 # include "XMS.h"
 # include "XMV.h"
+# include "XMF.h"
 
 # include "XMX_motif.h"
 # include "XMX_graphic.h" 
@@ -64,6 +65,7 @@
 # include "XMX_menu.h" 
 # include "XMX_color.h" 
 # include "XMX_panel.h"
+# include "XMX_icon.h"
 # include "XMX_dialog.h"
 
 /*------------------------------------------------------------\
--- xgra/src/XSB_parse.c	2007-11-27 15:41:44
+++ xgra/src/XSB_parse.c	2026-05-01 10:31:03
@@ -52,6 +52,8 @@
 # include "XSB_error.h"
 # include "XSB_parse.h"
 
+extern void XsbError(char, char *, long);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
@@ -152,7 +154,7 @@
   int   Size;
 {
   register char *RegisterString;
-  register       Register;
+  register int   Register;
 
   autbegin();
  
@@ -619,7 +621,7 @@
     {
       if (!( FirstWord = XsbGetNextWord(1, 1)))
       {
-        XsbError( MISSING_NAME, TableKeyword );
+        XsbError( MISSING_NAME, TableKeyword, 0 );
       }
 
       if ( FirstWord == LayerNameKeyword )
--- xgra/src/XTB_cursor.c	2007-11-27 15:41:45
+++ xgra/src/XTB_cursor.c	2026-05-01 10:31:03
@@ -46,6 +46,7 @@
 # include <stdio.h>
 # include <X11/cursorfont.h>
 # include <X11/Intrinsic.h>
+# include <Xm/Display.h>
 # include "mut.h"
 # include "aut.h"
 # include "XTB.h"
--- xgra/src/XTB_dialog.c	2007-11-27 15:41:45
+++ xgra/src/XTB_dialog.c	2026-05-01 10:31:03
@@ -71,7 +71,7 @@
 |                                                             |
 \------------------------------------------------------------*/
   
-  static XgraLockLoop = 0;
+  static int XgraLockLoop = 0;
 
   static XgraDialogItem XgraWarningDialog =
 
--- xgra/src/xgra.c	2007-11-27 15:41:46
+++ xgra/src/xgra.c	2026-05-01 10:31:03
@@ -56,6 +56,8 @@
 
 # include "xgra.h"
 
+extern void XgraInitializeErrorMessage(char);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xpat/src/XME_dialog.c	2002-09-30 12:21:42
+++ xpat/src/XME_dialog.c	2026-05-01 10:31:03
@@ -60,6 +60,7 @@
 
 # include "XME_dialog.h"
 # include "XME_edit.h"
+# include "XME_search.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- xpat/src/XME_edit.c	2002-09-30 12:21:42
+++ xpat/src/XME_edit.c	2026-05-01 10:31:03
@@ -55,9 +55,15 @@
 # include "XMX.h"
 # include "XPT.h"
 # include "XME.h"
+# include "XMV.h"
 
 # include "XME_edit.h"
 # include "XME_message.h"
+# include "XME_panel.h"
+
+extern void XpatLimitedLoop(Widget);
+extern void XpatEditSelectPoint(long, long);
+extern void XpatAddSelectList(xpatobj_list *);
 
 /*------------------------------------------------------------\
 |                                                             |
--- xpat/src/XME_panel.c	2002-09-30 12:21:42
+++ xpat/src/XME_panel.c	2026-05-01 10:31:03
@@ -48,6 +48,8 @@
 # include <Xm/FileSB.h>
 # include <Xm/SelectioB.h>
 # include <Xm/PushBG.h>
+# include <Xm/List.h>
+# include <Xm/Text.h>
 
 # include "mut.h"
 # include "aut.h"
@@ -63,6 +65,10 @@
 # include "XME_dialog.h"
 # include "XME_edit.h"
 # include "XME_search.h"
+# include "XME_select.h"
+
+extern void XpatEditSelectAccept();
+extern void XpatEditSelectCancel();
 
 /*------------------------------------------------------------\
 |                                                             |
--- xpat/src/XME_search.c	2002-09-30 12:21:42
+++ xpat/src/XME_search.c	2026-05-01 10:31:03
@@ -55,8 +55,12 @@
 # include "XMX.h"
 # include "XPT.h"
 # include "XME.h"
+# include "XMV.h"
 
 # include "XME_search.h"
+# include "XMV_view.h"
+
+extern void XpatLimitedLoop(Widget);
 
 /*------------------------------------------------------------\
 |                                                             |
--- xpat/src/XME_select.c	2002-09-30 12:21:42
+++ xpat/src/XME_select.c	2026-05-01 10:31:03
@@ -57,8 +57,10 @@
 # include "XMX.h"
 # include "XPT.h"
 # include "XME.h"
+# include "XMV.h"
 
 # include "XME_select.h"
+# include "XME_panel.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- xpat/src/XMF_file.c	2002-09-30 12:21:43
+++ xpat/src/XMF_file.c	2026-05-01 10:31:03
@@ -58,6 +58,8 @@
 # include "XMX.h"
 # include "XTB.h"
 # include "XMF.h"
+# include "XMV.h"
+# include "XMT.h"
 
 # include "XMF_file.h"
 
--- xpat/src/XMF_menu.c	2002-09-30 12:21:43
+++ xpat/src/XMF_menu.c	2026-05-01 10:31:03
@@ -78,7 +78,7 @@
 |                                                             |
 \------------------------------------------------------------*/
 
-  static XpatFirstFileOpen = 1;
+  static int XpatFirstFileOpen = 1;
 
 /*------------------------------------------------------------\
 |                                                             |
--- xpat/src/XMF_panel.c	2002-09-30 12:21:43
+++ xpat/src/XMF_panel.c	2026-05-01 10:31:03
@@ -68,6 +68,8 @@
 # include "XMF_panel.h"
 # include "XMF_dialog.h"
 
+extern void XpatLimitedLoop(Widget);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xpat/src/XMH_panel.c	2004-07-29 06:10:51
+++ xpat/src/XMH_panel.c	2026-05-01 10:31:03
@@ -67,6 +67,8 @@
 # include "XMH_panel.h" 
 # include "LIP6bw.h" 
 
+extern void XpatLimitedLoop(Widget);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xpat/src/XMS_panel.c	2002-09-30 12:21:44
+++ xpat/src/XMS_panel.c	2026-05-01 10:31:03
@@ -48,6 +48,7 @@
 # include <Xm/FileSB.h>
 # include <Xm/SelectioB.h>
 # include <Xm/PushBG.h>
+# include <Xm/Text.h>
 
 # include "mut.h"
 # include "aut.h"
@@ -58,6 +59,8 @@
 # include "XMS.h"
 
 # include "XMS_panel.h"
+
+extern void XpatLimitedLoop(Widget);
 
 /*------------------------------------------------------------\
 |                                                             |
--- xpat/src/XMS_setup.c	2002-09-30 12:21:44
+++ xpat/src/XMS_setup.c	2026-05-01 10:31:03
@@ -61,6 +61,8 @@
 
 # include "XMS_setup.h"
 
+extern void XpatInitializeLayer();
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xpat/src/XMT_panel.c	2002-09-30 12:21:44
+++ xpat/src/XMT_panel.c	2026-05-01 10:31:03
@@ -48,6 +48,7 @@
 # include <Xm/FileSB.h>
 # include <Xm/SelectioB.h>
 # include <Xm/PushBG.h>
+# include <Xm/Text.h>
 
 # include "mut.h"
 # include "aut.h"
--- xpat/src/XMV_dialog.c	2002-09-30 12:21:45
+++ xpat/src/XMV_dialog.c	2026-05-01 10:31:03
@@ -55,6 +55,7 @@
 # include "XTB.h"
 # include "XMX.h"
 # include "XMV.h"
+# include "XME.h"
 
 # include "XMV_dialog.h"
 # include "XMV_view.h"
--- xpat/src/XMV_menu.c	2002-09-30 12:21:45
+++ xpat/src/XMV_menu.c	2026-05-01 10:31:03
@@ -60,6 +60,8 @@
 # include "XMV_view.h"
 # include "XMV_map.h"
 
+extern void XpatInitializeLayer();
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xpat/src/XMV_panel.c	2009-06-14 09:52:30
+++ xpat/src/XMV_panel.c	2026-05-01 10:31:03
@@ -60,6 +60,7 @@
 # include "XMV_dialog.h"
 # include "XMV_view.h"
 # include "XMV_message.h"
+# include "XMX_color.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- xpat/src/XMV_view.c	2002-09-30 12:21:45
+++ xpat/src/XMV_view.c	2026-05-01 10:31:03
@@ -56,6 +56,8 @@
 
 # include "XMV_view.h"
 
+extern void XpatInitializeUnitGrid();
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xpat/src/XMX_dialog.c	2002-09-30 12:21:46
+++ xpat/src/XMX_dialog.c	2026-05-01 10:31:03
@@ -60,6 +60,7 @@
 # include "XMS.h"
 # include "XMH.h"
 # include "XMX.h"
+# include "XME.h"
 
 # include "XMX_dialog.h"
 
--- xpat/src/XMX_event.c	2004-07-29 06:03:58
+++ xpat/src/XMX_event.c	2026-05-01 10:31:03
@@ -65,6 +65,10 @@
 # include "XMX_cursor.h"
 # include "XMX_event.h"
 # include "XMX_message.h"
+# include "XMV_view.h"
+
+extern void XpatInitializeGraphicWindow();
+extern void XpatFileOpen(char *);
 
 /*------------------------------------------------------------\
 |                                                             |
--- xpat/src/XMX_graphic.c	2002-09-30 12:21:46
+++ xpat/src/XMX_graphic.c	2026-05-01 10:31:03
@@ -59,6 +59,9 @@
 # include "XMX_graphic.h"
 # include "XMX_grid.h"
 
+extern void XpatInitializeUnitGrid();
+extern char XpatDisplayUnitGrid(long, long, long, long);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xpat/src/XMX_motif.c	2002-09-30 12:21:47
+++ xpat/src/XMX_motif.c	2026-05-01 10:31:03
@@ -56,6 +56,8 @@
 # include "XTB.h"
 # include "XMX.h"
 # include "XMS.h"
+# include "XMF.h"
+# include "XMV.h"
 
 # include "XMX_motif.h"
 # include "XMX_graphic.h" 
@@ -65,6 +67,7 @@
 # include "XMX_color.h" 
 # include "XMX_panel.h"
 # include "XMX_dialog.h"
+# include "XMX_icon.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- xpat/src/XPT_object.c	2002-09-30 12:21:47
+++ xpat/src/XPT_object.c	2026-05-01 10:31:03
@@ -57,6 +57,8 @@
 # include "XPT_object.h"
 # include "XPT_pat.h"
 
+extern void pat_delpatfig(patfig_list *);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xpat/src/XPT_pat.c	2002-09-30 12:21:47
+++ xpat/src/XPT_pat.c	2026-05-01 10:31:03
@@ -54,6 +54,7 @@
 # include "XSB.h" 
 # include "XPT.h"
 # include "XPT_pat.h"
+# include "XPT_error.h"
 
 /*------------------------------------------------------------\
 |                                                             |
--- xpat/src/XSB_parse.c	2002-09-30 12:21:47
+++ xpat/src/XSB_parse.c	2026-05-01 10:31:03
@@ -52,6 +52,8 @@
 # include "XSB_error.h"
 # include "XSB_parse.h"
 
+extern void XsbError(char, char *, long);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
@@ -152,7 +154,7 @@
   int   Size;
 {
   register char *RegisterString;
-  register       Register;
+  register int   Register;
 
   autbegin();
  
@@ -619,7 +621,7 @@
     {
       if (!( FirstWord = XsbGetNextWord(1, 1)))
       {
-        XsbError( MISSING_NAME, TableKeyword );
+        XsbError( MISSING_NAME, TableKeyword, 0 );
       }
 
       if ( FirstWord == LayerNameKeyword )
--- xpat/src/XTB_cursor.c	2002-09-30 12:21:48
+++ xpat/src/XTB_cursor.c	2026-05-01 10:31:03
@@ -46,6 +46,7 @@
 # include <stdio.h>
 # include <X11/cursorfont.h>
 # include <X11/Intrinsic.h>
+# include <Xm/Display.h>
 # include "mut.h"
 # include "aut.h"
 # include "pat.h"
--- xpat/src/XTB_dialog.c	2004-07-29 06:03:58
+++ xpat/src/XTB_dialog.c	2026-05-01 10:31:03
@@ -53,6 +53,7 @@
 # include "pat.h"
 # include "XTB.h"
 # include "XSB.h"
+# include "XPT.h"
 # include "XTB_dialog.h"
 
 /*------------------------------------------------------------\
@@ -71,7 +72,7 @@
 |                                                             |
 \------------------------------------------------------------*/
   
-  static XpatLockLoop = 0;
+  static int XpatLockLoop = 0;
 
   static XpatDialogItem XpatWarningDialog =
 
--- xpat/src/xpat.c	2002-09-30 12:21:48
+++ xpat/src/xpat.c	2026-05-01 10:31:03
@@ -57,6 +57,8 @@
 
 # include "xpat.h"
 
+extern void XpatInitializeErrorMessage(char);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xsch/src/XME_select.c	2002-09-30 12:21:51
+++ xsch/src/XME_select.c	2026-05-01 10:31:03
@@ -59,6 +59,7 @@
 # include "XSC.h"
 # include "XME.h"
 # include "XMV.h"
+# include "XMT.h"
 
 # include "XME_select.h"
 # include "XME_panel.h"
--- xsch/src/XMF_menu.c	2002-09-30 12:21:51
+++ xsch/src/XMF_menu.c	2026-05-01 10:31:03
@@ -79,7 +79,7 @@
 |                                                             |
 \------------------------------------------------------------*/
 
-  static XschFirstFileOpen = 1;
+  static int XschFirstFileOpen = 1;
 
 /*------------------------------------------------------------\
 |                                                             |
--- xsch/src/XMT_tools.c	2004-02-17 12:34:42
+++ xsch/src/XMT_tools.c	2026-05-01 10:31:03
@@ -55,9 +55,12 @@
 # include "XMX.h"
 # include "XSC.h"
 # include "XMT.h"
+# include "XMV.h"
 
 # include "XMT_tools.h"
 # include "XMT_message.h"
+
+extern void XschFileOpen(char *, int);
 
 /*------------------------------------------------------------\
 |                                                             |
--- xsch/src/XSB_parse.c	2002-09-30 12:21:59
+++ xsch/src/XSB_parse.c	2026-05-01 10:31:03
@@ -167,7 +167,7 @@
   int   Size;
 {
   register char *RegisterString;
-  register       Register;
+  register int   Register;
 
   autbegin();
  
--- xsch/src/XSC_error.c	2002-09-30 12:22:00
+++ xsch/src/XSC_error.c	2026-05-01 10:31:03
@@ -44,6 +44,7 @@
 
 # include <stdio.h>
 # include <stdlib.h>
+# include <string.h>
 # include <signal.h>
 # include <setjmp.h>
 # include "mut.h"
--- xsch/src/XTB_dialog.c	2004-07-29 06:05:15
+++ xsch/src/XTB_dialog.c	2026-05-01 10:31:03
@@ -74,7 +74,7 @@
 |                                                             |
 \------------------------------------------------------------*/
   
-  static XschLockLoop = 0;
+  static int XschLockLoop = 0;
 
   static XschDialogItem XschWarningDialog =
 
--- xsch/src/xsch.c	2002-09-30 12:22:10
+++ xsch/src/xsch.c	2026-05-01 10:31:03
@@ -57,6 +57,8 @@
 
 # include "xsch.h"
 
+extern void XschFileAddSlide(char *);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xvpn/src/XMF_menu.c	2002-09-30 12:22:11
+++ xvpn/src/XMF_menu.c	2026-05-01 10:31:03
@@ -80,7 +80,7 @@
 |                                                             |
 \------------------------------------------------------------*/
 
-  static XvpnFirstFileOpen = 1;
+  static int XvpnFirstFileOpen = 1;
 
 /*------------------------------------------------------------\
 |                                                             |
--- xvpn/src/XMV_panel.c	2009-06-14 09:52:35
+++ xvpn/src/XMV_panel.c	2026-05-01 10:31:03
@@ -59,6 +59,8 @@
 # include "XMV_view.h"
 # include "XMV_message.h"
 
+extern void XvpnChangeCursorContext();
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xvpn/src/XMX_motif.c	2002-09-30 12:22:14
+++ xvpn/src/XMX_motif.c	2026-05-01 10:31:03
@@ -67,6 +67,8 @@
 # include "XMX_dialog.h"
 # include "XMX_icon.h"
 
+extern void XvpnInitializeColorMap();
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
--- xvpn/src/XSB_parse.c	2002-09-30 12:22:14
+++ xvpn/src/XSB_parse.c	2026-05-01 10:31:03
@@ -127,7 +127,7 @@
   int   Size;
 {
   register char *RegisterString;
-  register       Register;
+  register int   Register;
 
   autbegin();
  
--- xvpn/src/XTB_dialog.c	2004-07-29 06:10:52
+++ xvpn/src/XTB_dialog.c	2026-05-01 10:31:03
@@ -72,7 +72,7 @@
 |                                                             |
 \------------------------------------------------------------*/
   
-  static XvpnLockLoop = 0;
+  static int XvpnLockLoop = 0;
 
   static XvpnDialogItem XvpnWarningDialog =
 
--- xvpn/src/xvpn.c	2002-09-30 12:22:15
+++ xvpn/src/xvpn.c	2026-05-01 10:31:03
@@ -59,6 +59,8 @@
 
 # include "xvpn.h"
 
+extern void XvpnFileAddSlide(char *);
+
 /*------------------------------------------------------------\
 |                                                             |
 |                           Constants                         |
